myproxy-logon(1)

NAME
myproxy-logon - retrieve a credential

SYNOPSIS
myproxy-logon [ options ]

myproxy-get-delegation [ options ]

DESCRIPTION
The myproxy-logon command retrieves a proxy credential from the myproxy-server(8) that was previously stored using myproxy-init(1) or myproxy-store(1). It can also be used to retrieve short-lived end entity credentials from a myproxy-server(8) configured to act as a Certificate Authority. In the default mode, the command prompts for the MyProxy pass phrase associated with the credential to be retrieved and stores the retrieved credential in the standard location ( /tmp/x509up_u<uid> ).

The myproxy-logon command is also available under the name myproxy-get-delegation for backward compatibility.

OPTIONS

-h, --help
    Displays command usage text and exits.

-u, --usage
    Displays command usage text and exits.

-v, --verbose
    Enables verbose debugging output to the terminal.

-V, --version
    Displays version information and exits.

-s hostname, --pshost hostname
    Specifies the hostname of the myproxy-server. This option is required if the MYPROXY_SERVER environment variable is not defined. If specified, this option overrides the MYPROXY_SERVER environment variable.

-p port, --psport port
    Specifies the TCP port number of the myproxy-server(8). Default: 7512

-l, --username
    Specifies the MyProxy account under which the credential to retrieve is stored. By default, the command uses the value of the LOGNAME environment variable. Use this option to specify a different account username on the MyProxy server. The MyProxy username need not correspond to a real Unix username.

-d, --dn_as_username
    Use the certificate subject (DN) as the default username, instead of the LOGNAME environment variable. When used with the -a option, the certificate subject of the authorization credential is used. Otherwise, the certificate subject of the default credential is used.

-t hours, --proxy_lifetime hours
    Specifies the lifetime of credentials retrieved from the myproxy-server(8) using the stored credential. The resulting lifetime is the shorter of the requested lifetime and the lifetime specified when the credential was stored using myproxy-init(1). Default: 12 hours

-o file, --out file
    Specifies where the retrieved proxy credential should be stored. If this option is not specified, the proxy credential will be stored in the default location ( /tmp/x509up_u<uid> ). To write the credential to the command's standard output rather than to a file, use -o -.

-a file, --authorization file
    Use this option to specify an existing, valid credential that you want to renew. Renewing a credential generally requires two certificate-based authentications. The client authenticates with its identity, using the credential in the standard location or specified by X509_USER_PROXY or X509_USER_CERT and X509_USER_KEY in addition to authenticating with the existing credential, in the location specified by this option, that it wants to renew.

-k name, --credname name
    Specifies the name of the credential that is to be retrieved or renewed.

-S, --stdin_pass
    By default, the command prompts for a passphrase and reads the passphrase from the active tty. When running the command non-interactively, there may be no associated tty. Specifying this option tells the command to read passphrases from standard input without prompts or confirmation.

-n, --no_passphrase
    Don't prompt for a credential passphrase. Use other methods for authentication, such as Kerberos ticket or X.509 certificate. This option is implied by -a since passphrase authentication is not used for credential renewal.

-T, --trustroots
    Retrieve CA certificates directory from server (if available) to store in

-q, --quiet
    Only write output messages on error.

-N, --no_credentials
    Authenticate only. Don't retrieve credentials.

EXIT STATUS
0 on success, >0 on error

ENVIRONMENT

MYPROXY_SERVER
    Specifies the hostname where the myproxy-server(8) is running. This environment variable can be used in place of the -s option.

MYPROXY_SERVER_PORT
    Specifies the port where the myproxy-server(8) is running. This environment variable can be used in place of the -p option.

MYPROXY_SERVER_DN
    Specifies the distinguished name (DN) of the myproxy-server(8). All MyProxy client programs authenticate the server's identity. By default, MyProxy servers run with host credentials, so the MyProxy client programs expect the server to have a distinguished name of the form "host/<fqhn>" or "myproxy/<fqhn>" (where <fqhn> is the fully-qualified hostname of the server). If the server is running with some other DN, you can set this environment variable to tell the MyProxy clients to accept the alternative DN.

GT_PROXY_MODE
    Set to "old" to retrieve a "legacy globus proxy" from an end-entity certificate stored in the MyProxy repository. If the repository contains a proxy certificate, rather than an end-entity certificate, the retrieved proxy will be of the same type as the stored proxy, regardless of the setting of this environment variable.

MYPROXY_TCP_PORT_RANGE
    Specifies a range of valid port numbers in the form "min,max" for the client side of the network connection to the server. By default, the client will bind to any available port. Use this environment variable to restrict the ports used to a range allowed by your firewall. If unset, MyProxy will follow the setting of the GLOBUS_TCP_PORT_RANGE environment variable.

AUTHORS
Bill Baker, Jim Basney, Shiva Shankar Chetan, Patrick Duda, Jarek Gawor, Monte Goode, Daniel Kouril, Zhenmin Li, Jason Novotny, Miroslav Ruda, Benjamin Temko, and Von Welch

SEE ALSO
myproxy-change-pass-phrase(1), myproxy-destroy(1), myproxy-info(1), myproxy-init(1), myproxy-server.config(5), myproxy-retrieve(1), myproxy-store(1), myproxy-admin-adduser(8), myproxy-admin-change-pass(8), myproxy-admin-load-credential(8), myproxy-admin-query(8), myproxy-server(8)